Subject: bug#62940: 29.0.60; vc: no easy way to get diff of all outgoing changes

From: Spencer Baugh <[email-masked]>
Date: Mon, 14 Aug 2023 15:42:31 -0400

Juri Linkov <[email-masked]> writes:
>>   C-x v O C-x h =
>>
>> Which would be D. in the original message. It doesn't support uncommitted
>> changes, but I would be surprised if it did.
>
> It's supported only for vc that inserts a text header in logs like RCS.
> I proposed to insert extra line that represents uncommitted git changes,
> and I'm using this feature all the time.

Is your patch for this available somewhere?  I find myself wanting the
same thing for hg.

> But the problem is that it's inserted even when 'C-x v b l' lists
> another branch where such line makes no sense.

Maybe we could only insert this line if there are actually uncommitted
changes?